# Les Droites

## Intro

Considerons le vecteur \\((x,y)\\)

Recherchons quelques vecteurs colinéaires à \\((x,y)\\)
\\[
	\lambda(2,3) \text{ où } \lambda \in \mathbb{R}
\\]

L'ensemble de ces vecteurs colinéaire à \\((x,y)\\) est la droite \\(D\\) passant par \\((0,0)\\)
et dont la direction est donnée par le vecteur \\((x,y)\\)

## Définitions

- l'**équation paramétrique** de \\(D\\): une égalitée qui sera satisfaite par tout point 
	\\[
		D \equiv (x,y) = \lambda (2,3) \text{ où } \lambda \in \mathbb{R}
	\\]

	\\(\lambda\\) prend toutes les valeurs réelles. à chauqes fois qu'on donne une valeur à \\(\lambda\\) on à un point de la droite 


- l'**équation cartésienne** de la droite \\(D\\):
	\\[
		ax + by = c
	\\]
	On dit que \\((a, b)\\) est un vecteur **Normal** de la droite

## Transformation

- **ep** to **ec**:
	> \\(D_1 \equiv (x,y) = (-1, 1) + \lambda(2,3) \text{ où } \lambda \in \mathbb{R}\\)
	1) Eliminer les paramètres:
		\\[
			\begin{align*}
			&\begin{cases}
				x &= -1+2\lambda \\\\
				y &= 1 + 3\lambda
			\end{cases}\\\\
			&\begin{cases}
				\frac{x+1}{2} = \lambda \\\\
				\frac{y-1}{3} = \lambda \\\\
			\end{cases}
			\end{align*}
		\\]
	2) lier et simplifier la fonction
		\\[
			\begin{align*}
				\frac{x+1}{2} &= \frac{y-1}{3}\\\\
				3x + 3 &= 2y -2 \\\\
				-3x +2y &= 5 \\\\
				y &= \frac{3}{2}x + \frac{5}{2}
			\end{align*}
		\\]
		- On a donc une équation de la forme \\(y = mx + p\\) où \\(m\\) est la pente de la droite et \\(p\\) est l'ordonée à l'origine[^prob]
	3) Transformation en Equation cartésienne de la forme \\( ax + by = c \\)

[^prob]: Problème. Nous pouvons représenter une droite horizontale sous la forme : \\(y = p\\) Mais nous ne pouvons pas tracer de droite verticale.

- **ec** to **ep**:

	Un vecteur directeur de la droite \\(D\\) peut être \\((1, m)\\)
	Nous pouvons prendre un point de la droite avec p car (0,p) fait partie de la droite

	- Il y a plusieurs facon d'obtenir m:
		- \\(m = \frac{y_2 - y_1}{x_2 - x_1}\\)
		- \\(m = \frac{-a}{b}\\)

	- Une facon d'obtenir p:
		- \\(p = \frac{c}{b}\\)

	Donc 
	\\[
		D \equiv (x, y) = (0, p) + \lambda(1, m) \text{ où } \lambda \in \mathbb{R} 
	\\]


