# Les Systèmes

## Intro

\\[
	D \equiv ax + by = c \\\ 
	D' \equiv a'x + b'y = c' \\\ 
\\]

On voudrais s'intérésser à l'ensemble \\(D \cap D'\\)

Donc l'ensemble constitué des éventuels couples \\((x, y)\\) qui appartienent simultanément aux 2 droites

On doit avoir 
\\[
	ax+bx=c \ \underline{et}\  a'x + b'y = c'
\\]

On résous donc le system:
\\[
	\begin{cases}
		ax+by = c \\\\
		a'x+b'y = c'	
	\end{cases}
\\]

## Résolution

\\[
	\begin{cases}
		ax+by = c \\\\
		a'x+b'y = c'	
	\end{cases}
\\]

- **Géométriquement**: Résoudre ce système revient à chercher les couples de \\((x, y)\\) qui appartiennent simultanément à \\(D \equiv ax + by = c \text{ et } D' \equiv a'x + b'y = c' \\)
	1) 1 Seul point d'intersection
		- \\( D \cap D' = \\\{(x^\*, y^\*)\\\} \\)\
		`ex : l'ensemble des solutions est :` \\(\\\{(\frac{-13}{7},\frac{-11}{7})\\\}\\)
	2) Aucuns point car \\(D \parallel D'\\) 
		- \\( D \cap D' = \emptyset \\)
	3) Tous les points car les droites sont égales.
		- \\( D \cap D' = D \text{ ou } D' \\)\
		`ex : l'ensemble des solutions est :` \\(\\\{(\lambda, 2-3\lambda) \vert \lambda \in \mathbb{R}\\\}\\)

- **Algébriquement**: Résoudre ce système revient à  chercher les couples \\((x, y)\\) qui vérifient les 2 équations à la fois

Résoudre un système c'est donner **l'ensemble** des Solutions

## Démonstration 

\\[
	\begin{align*}
	D_1 \parallel D_2 &\iff \exists \lambda \in \mathbb{R}_0 \quad (a,b) = \lambda (a', b') \\\\
			  &\iff \exists \lambda \in \mathbb{R}_0 \quad (a,b) =  (\lambda a', \lambda b') \\\\
			  &\iff \exists \lambda \in \mathbb{R}_0 \quad a = \lambda a' \text{ et } b = \lambda b' \\\\
			  &\iff \exists \lambda \in \mathbb{R}_0 \quad \frac{a}{a'} = \lambda \text{ et } \frac{b}{b'} = \lambda \\\\
			  &\iff ab' - a'b = 0 \\\\
	\end{align*}
\\]

> EX SUPP TODO: cas où a' et b' = 0

Nous utiliserons alors le **determinant** du system noté \\(\begin{vmatrix} a & b \\\\ a' & b' \end{vmatrix}\\) 

Donc \\(D_1 \text{ et } D_2\\) sont sécantes \\(\iff ab' - a'b \neq 0\\)\
Ou, Le systeme à une unique équation \\(\iff ab' - a'b \neq 0\\)

### Méthodes

- **Combinaisons**

le principe est de multiplier l'une, l'autre ou les deux équations par une valeur qui va mettre x ou y à une valeur commune
une fois fait, il suffit de soustraire les deux équations et l'autre valeurs se dégage
	
- **Substitution**

Le principe est de résoudre l'une des équations pour isoler le x ou y dans l'une des équations, puis de remplacer la valeur du x/y dans l'autre équation
par la nouvelle valeur obtenue et ainsi de suite jusqu'a avoir les valeurs de chaques membres

## Exemples 

\\((2,3)\\) est un vecteur Normal de \\(D\\).

Cherchons un vecteur \\(a, b)\\) qui sera un vecteur normal de \\(D_2\\)

On veut que \\(\left((2,-3)\vert(a,b)\right) = 0\\).

> Prenons \\((a, b) = (3, 2) \text{ car } ((2,-3)\vert(3,2)) = 6 - 6 = 0\\)
>
> Donc \\(D_2 \equiv 3x + 2y = c\\)
>
> Comme \\((2, 1) \in D_2 \\) On remplace \\(x \text{ par } 2 \text{ et } y \text{ par } -1\\) 
>
> \\( D_2 \equiv 3 \times 2 + 2\times 1 = 6 - 2 = 4 \\)
>> Donc \\(D_2 \equiv 3x + 2y = 4 \\)

Comme \\(D_1 \\parallel D\\), la droite \\(D_1\\) est aussi \\(\perp\\) à \\(D_2\\)
=> à finir TODO
