# Inéquations

## Exemples d'inéquations 

- \\(3x + 1 \leq 2x -1\\) (premier degrés)
- \\(\frac{x}{3x-9} \leq 4\\) (Conditions d'existence)
- \\(3x^2 - 3x - 7 \leq 8x + 9\\) (second degrés)
- \\((x+1)-1 \leq 3\\) (valeur absolue)
- \\(\frac{1}{\sqrt{x-1}-1} \leq 4\\)
- \\(\sin{(x+ \lvert x\rvert +\sqrt{x+2})} \leq 8x-1\\)

## Notions

- x est **solutions** (une valuer x \in \mathbb{R} est solution).
	- Si on remplace x dans les 2 membres de l'inégalités, celle-ci est satisfaite

- Notons \\(eq(x)\\) une inéquation(générale) en la variable x

- \\(x\\) est solution si \\(eq(x)\\) est défini et \\(eq(x)\\) est Vrai
	- peut ne pas être définit à cause des** Conditions d'éxistences**

- Un **[ensemble](../logique/ensembles.html)** est une collection d'éléments "sans répétitions" et peut être:
	- En extension: \\(\\{a_1, a_2, ..., n\\}\\)
	- En Compréhension:
		- l'ensemble des données comme tous les éléments qui vérifient un certains prédicat
- Un **ensembe de solutions**:
\\[
	\begin{align*}
	\\{ x \vert x \in \mathbb{R} &\text{ et eq(x) est bien définit}\\}\\\\
					&\text{ et eq(x) est vrai}
	\end{align*}
\\]

- Un **Interval**:

- [Opérations sur les ensembles](../logique/ensembles.md)

- \\(A \text{ et } B\\) Sont disjoints si \\(A \cap B = \emptyset\\)

- Résoudre une inéquation ex(x) c'est exprimer l'ensemble de ses solutions sous la forme d'une union **minimale** d'intervale

