# Ensembles

## Definitions

- **Un ensemble** : Une collection d'objets
- **Les éléments d'ensemble** : les objets de l'ensemble.
	- Soit A un ensemble, et a un élément de l'ensemble de A,
		- On dit que a appartient à A, noté \\(a \in A \\)
	- Si l'element a n'est pas dans A
		- On dit que a n'appartient pas à A, noté \\(a \notin A\\)
- **Un ensmble** peut **être définit**:
	- en **extension**, si on donne explicitement la liste de ses elements :
\\[ \\{1, 2, 3\\}\\]
	- En **comprehension**, si on donne une formule qui décrit exactement les élements de l'ensemble 
\\[ \\{x | P(x)\\}\\]

- Soient \\(A, B\\) deux ensembles
	- L'**union** de \\(A \text{ et } B \text{ noté } A\cup B = \\{x \vert x \in A \lor x \in B\\}\\)
	- L'**intersection** de \\(A \text{ et } B \text{ noté } A\cap B = \\{x \vert x \in A \land x \in B\\}\\)
	- On dit que \\(A\\) est **inclus** a \\(B\\) noté \\(A \subseteq B\\) ssi
		- \\(\forall x (x \in A) \implies (x \in B)\\)
	- \\(A\\) et \\(B\\) sont **égales** ssi
		- \\((A \subseteq B) \land (B \subseteq A)\\)

- Soit \\(\Omega\\) l'univers (ou domaine), Soit \\(A \subseteq \Omega\\) un ensemble
	- Le **complémentaire** de \\(A\\), noté \\(A^c\\)
		- \\(A^c = \\{ x \in \Omega \vert x\notin A\\}\\)
			- Par démonstration, Soient \\(A, B \subseteq \mathbb{N} \qquad (A\cup B)^c = A^c \cup B^c\\)

- **L'ensemble vide** est l'ensemble qui ne contient aucuns éléments. Il est noté \\(\emptyset \text{ ou } \\{\\}\\)
	- Par démonstration, quel que soit \\(A\\), un ensemble: \\( \emptyset \subseteq A\\)

> \\(\emptyset\\) est inclus dans \\(A\\) ssi \\(\forall x \quad x \in \emptyset \\implies x \in A\\) (par définition de l'inclusion)\
			\\[
			\text{Soit } A \quad \emptyset \subseteq A \\\\
			\forall a \quad (a\in \emptyset ) \implies (a \in A)
			\\]
			La prémisse est fausse donc l'implication est Vraie!

### Ensemble réguliers

Symbol | Nom | Ensemble
---|---|---
\\(\mathbb{N}\\)|\\(\\{0, 1, 2, 3, ...\\}\\)| Les Naturels
\\(\mathbb{Z}\\)|\\(\\{..., -2, -1, 0, 1, 2, ...\\}\\)| Les Entiers 
\\(\mathbb{Q}\\)|\\(\\{\frac{a}{b} \| a \in \mathbb{Z} \land b \in \mathbb{N} \land b \neq 0\\}\\)| Les Rationnels 
\\(\mathbb{R}\\)|Tous les nombres, non definit car long a ecrire| Les Réel 


