# Chapitre 1 Introduction

> [Slides](./mecanique_1.pdf) (sans notes)

## Définitions

- **Dimensions:** Caractérise la nature de la grandeur et définit les unités possibles
- **Unitée:** L'expression de la dimension 
- **Grandeur:** Unique dimension, peut être exprimée en plusieurs unités
- **module:** la longeur d'un segment d'origine origine et d'extrémitée définie calculés avec pytagore et notés avec une ||v|| 


## Concepts

- La position d'un corps est définie par rapport à un référentiel dans un system de coordonées 
	- Ce système est composée d'axe cooréspondant aux directions de l'espace (2D, **3D**, ...)

- Un **Vecteur unitaire** est un vecteur dont le module est 1 (l'unite) \\((||\vec i|| = ||\vec j|| = ||\vec k|| = 1)\\)
	- nous definissons i j k respectivement alignes sur x y z pour definir une orientation dans l'espace
		- \\(\vec A = A_x \vec i + A_y \vec j + A_z\vec z\\) 

## Chapitres

### Analyse dimentionelle

Chaques unités est réduite en facteurs d'u fondamentales (masse, longeur, temps) appelés dimensions et notés entre [crochets]
Une équation de type A = B + C n'a de sens que si les dimensions des 3 grandeurs sont identiques => **équation homogène en dimensions**

### Grandeur physiques

Nous considérons 2 types de grandeurs physiques:

- **Scalaires:**
	- Uniquement définies par une valeur numérique et une unité
	- pas d'orientation
	- obéissent aux lois de l'algèbre ordinaire
- **Vectorielles:**
	- Plusieurs valeurs numérique pour être définie (direction, sens, module)
	- Obéissent aux lois de l'algèbre vectorielle (notés v (avec une flè_che au dessus))


### Proprietes elementaire des vecteurs

- Multiplication par un scalaire (\\(\vec A \to \alpha\vec A,\alpha \in \mathbb R \\)) Cela revient a modifier le module du vecteur
- Addition de vecteurs est
	- Commutatif : \\(\vec A + \vec B = \vec B + \vec A\\)
	- Associatif : \\((\vec A + \vec B) + \vec C = \vec A + (\vec B + \vec C)\\)

Dans un referentiel cartesien (OXY) un vecteur peut etre defini par ses projections sur les axes respectifs comme A = A<sub>x</sub> + A<sub>y</sub>

Nous pouvons definir 

- \\(\vec R_x = \vec A_x + \vec B_x\\)
- \\(\vec R_y = \vec A_y + \vec B_y\\)


